# Package org.apache.ignite.internal.transactions

Exception Summary
Exception | Description
--- | ---
IgniteTxHeuristicCheckedException | Exception thrown whenever grid transaction enters an unknown state.
IgniteTxOptimisticCheckedException | Exception thrown whenever grid transactions fail optimistically.
IgniteTxRollbackCheckedException | Exception thrown whenever grid transactions has been automatically rolled back.
IgniteTxTimeoutCheckedException | Exception thrown whenever grid transactions time out.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015